Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_view.py_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_view.py_not_used	(revision 684)
+++ 	(revision )
@@ -1,73 +1,0 @@
-##parameters=REQUEST=None
-# $Id: academics_view.py 296 2006-07-14 13:52:50Z joachim $
-"""
-"""
-request = REQUEST
-rget = request.get
-rset = request.set
-fget = request.form.get
-form = request.form
-fhas = request.form.has_key
-
-
-lt = context.portal_layouts
-pr = context.portal_registration
-pm = context.portal_membership
-items = context.contentValues()
-
-validate = fhas('add') or fhas('change') or fhas('delete')
-res,psm,ds = lt.renderLayout(layout_id='faculty_row',
-                      schema_id= 'faculty_row',
-                      context=context,
-                      mapping= {},#validate and request,
-                      ob={},
-                      layout_mode='edit',
-                      formaction = "academics_view",
-                      items=items,
-                      )
-#return res
-
-if True:# or psm == 'invalid':
-    return context.academics_view_form(rendered = res,
-                                 psm = 'Please correct your errors',
-                                 ds = ds,
-                                 )
-elif psm == '':
-    return context.academics_view_form(rendered = res,
-                                 psm = psm,
-                                 ds = ds,
-                                 )
-inr = 0
-if fhas('add') and (fget('type') or fget('subject') or fget('result')):
-    sr.append((fget('type'),fget('subject'),fget('result')))
-    psm = "new result added"
-elif fhas('change') and fget('keys'):
-    for k in fget('keys'):
-        sr[int(k)] = (fget('type_%s' % k),fget('subject_%s' % k),fget('result_%s' % k))
-        inr += 1
-    psm = "%s items changed" % inr
-elif fhas('delete') and fget('keys'):
-    new = []
-    todelete = fget('keys')
-    for k in range(len(sr)):
-        if str(k) not in todelete:
-            new.append(sr[k])
-    inr = len(todelete)
-    sr = new
-    psm = "%s items deleted" % inr
-elif psm == 'valid':
-    psm = "Your changes have been saved."
-
-res,dummy,fds = lt.renderLayout(layout_id= 'faculty_row',
-                      schema_id= 'faculty_row',
-                      context=context,
-                      mapping=request,
-                      ob={},
-                      layout_mode='create',
-                      formaction = "academics_view",
-                      )
-
-return context.academic_view_form(rendered = res,
-                                 #psm = "%s <br /> %s" % (str(ds),str(lt.faculty_row.getLayoutDefinition()))
-                                 psm = psm,
-                                 )
Index: WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.py_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.py_not_used	(revision 684)
+++ 	(revision )
@@ -1,13 +1,0 @@
-##parameters=psm=None
-# $Id: certificate_view.py 486 2006-09-06 10:09:39Z joachim $
-
-"""
-"""
-
-member = context.portal_membership.getAuthenticatedMember()
-uname = str(member)
-roles = member.getRoles()
-cat = context.portal_catalog
-request = context.REQUEST
-url0 = request.get('URL0')
-return context.certificate_view_form()
Index: WAeUP_SRP/trunk/skins/waeup_academics/certificate_view_form.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/certificate_view_form.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,46 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="roles member/getRoles;
-               folder here/getContent;
-               items here/contentValues"
-               >
-<tal:block tal:content="structure python:doc.render()" />
-    <br />      
-    <p>The Levels</p>
-    <tal:block condition="python: len(items)">  
-      <table>
-        <span tal:repeat="item items">
-          <tr>
-            <td>
-              Level :
-            </td>
-            <td>
-              <i>
-                <a href="xxx"  
-                   tal:attributes="href item/absolute_url"
-                   tal:content="item/id"></a> <span tal:condition="nothing" tal:content="item/title_or_id" tal:omit-tag="" />
-              </i>
-            </td>
-          </tr>
-        </span>
-      </table>
-    </tal:block>
-    
-    <tal:block condition="python: not len(items)">
-        (No items contained here!)
-    </tal:block>
-  
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/course_index_html.py_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/course_index_html.py_not_used	(revision 684)
+++ 	(revision )
@@ -1,14 +1,0 @@
-##parameters=post_id=None, REQUEST=None
-
-# $Id: course_index_html.py 280 2006-06-30 06:43:03Z joachim $
-
-"""Default view for the Student."""
-member = context.portal_membership.getAuthenticatedMember()
-if not context.portal_membership.isAnonymousUser():
-    roles = member.getRoles()
-    if 'Manager' in roles:
-        return context.cpsdocument_view()
-    elif 'StudentManager' in roles:
-        return context.course_view_manager()
-return context.course_view_student()
-
Index: WAeUP_SRP/trunk/skins/waeup_academics/course_view_manager.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/course_view_manager.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<metal:block define-macro="view">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}forum.css" />
-  </metal:block>
-
-  <metal:block fill-slot="main">
-    <tal:block tal:content="structure rendered_main|python:doc.render(proxy=here)" />
-
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-
-</metal:block>
-</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_academics/course_view_student.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/course_view_student.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<metal:block define-macro="view">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}forum.css" />
-  </metal:block>
-
-  <metal:block fill-slot="main">
-      
-    <tal:block tal:content="structure rendered_main|python:doc.render(proxy=here)" />
-
-    <tal:block tal:condition="python:hasattr(here,'portal_discussion') and
-      hasattr(here.portal_discussion, 'isCommentingAllowedFor')">
-      <tal:block tal:define="comments_allowed
-        python:here.portal_discussion.isCommentingAllowedFor(here);"
-        tal:condition="comments_allowed">
-        <metal:block
-          use-macro="here/forum_comment_lib_view_comments_inline/macros/view_comments_inline" />
-      </tal:block>
-    </tal:block>
-
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-
-</metal:block>
-</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/process_waeup_login.py_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/process_waeup_login.py_not_used	(revision 684)
+++ 	(revision )
@@ -1,28 +1,0 @@
-##parameters=member=None,sc_pin=None
-# $Id: process_waeup_login.py 522 2006-09-15 08:36:57Z joachim $
-"""
-Process a student after login
-
-"""
-request = context.REQUEST
-response=request.response
-import DateTime
-current = DateTime.DateTime()
-#
-if request.form.get('submit') == 'Login':
-    if "Manager" in member.getRoles():
-        return
-member_id = str(member)
-member.setProperties(last_login_time=current,login_time=current)
-student = getattr(context.campus.students,member_id,)
-application = student.application
-if context.portal_workflow.getInfoFor(student,
-                                   'review_state',
-                                   None) == "created":
-    student.content_status_modify(workflow_action="enter_application_pin")
-da = {}
-pin = request.get('pin')
-da['app_ac_pin'] = pin
-da['app_ac_date'] = current
-application.getContent().edit(mapping = da)
-return response.redirect("%s/application_form" % student.application.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/application_form.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_form.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main">
-  <tal:block tal:condition="python:context.portal_type == 'StudentApplication'" tal:omit-tag="">
-    <h3>Apply for the Post University Matriculation Examination! </h3>
-        <br />
-      <tal:block 
-          tal:define="rendered_main python:context.getContent().renderEdit(
-                layout_id='student_application_fe',
-                layout_mode='edit',
-                );">
-      <tal:block tal:content="structure rendered_main" />
-      </tal:block>  
-  </tal:block>  
-  <tal:block condition="python:context.portal_type != 'StudentApplication'">
-      Please do not manipulate the URL! This is not an application object.
-  </tal:block>    
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt_Joachim
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt_Joachim	(revision 684)
+++ 	(revision )
@@ -1,25 +1,0 @@
-<metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
-      </span>
-      <span tal:condition="info">
-      
-      <div style="text-align: right">
-       <a href="javascript:window.print()">
-         Print Slip</a>
-      </div>
-
-      
-        <h3>Post UME Acknowledegement Slip</h3>
-        <br />      
-        <span tal:omit-tag=""
-              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
-              layout_mode='view', 
-              layout_id='student_application')" 
-              />
-      </span>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_print.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_print.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,77 +1,0 @@
-<!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
-<metal:block tal:define="layout options/layout;
-             widgets python:context.getRenderedWidgets(layout);"
-             >
-
-  <table cellpadding="10em" cellspacing="">
-    <tr>
-      <td tal:define="cell widgets/passport">
-        <span tal:replace="structure cell/widget_rendered" />
-      </td>
-      <td>
-        <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
-          <tr tal:define="cell widgets/app_ac_pin">
-            <td>
-              <span tal:replace="cell/widget/label" />: 
-            </td>
-            <td><span tal:replace="structure cell/widget_rendered" />
-            </td>
-          </tr>
-          <tr tal:define="cell widgets/app_ac_date">
-            <td>
-              <span tal:replace="cell/widget/label" />: 
-            </td>
-            <td><span tal:replace="structure cell/widget_rendered" />
-            </td>
-          </tr>
-          <tr tal:define="cell widgets/jamb_reg_no">
-            <td>
-              <span tal:replace="cell/widget/label" />: 
-            </td>
-            <td><span tal:replace="structure cell/widget_rendered" />
-            </td>
-          </tr>
-          <tr>
-            <td>
-              Student's Name: 
-            </td>
-            <td>
-              <span tal:replace="structure widgets/jamb_firstname/widget_rendered" />
-              <span tal:replace="structure widgets/jamb_lastname/widget_rendered" />
-            </td>
-          </tr>
-          <tr tal:define="cell widgets/jamb_sex">
-            <td>
-              <span tal:replace="cell/widget/label" />: 
-            </td>
-            <td><span tal:replace="structure cell/widget_rendered" />
-            </td>
-          </tr>
-          <tr tal:define="cell widgets/entry_mode">
-            <td>
-              <span tal:replace="cell/widget/label" />: 
-            </td>
-            <td><span tal:replace="structure cell/widget_rendered" />
-            </td>
-          </tr>
-          <tr>
-            <td>Course of Study: </td>
-            <td>
-              <span tal:replace="structure widgets/jamb_first_cos/widget_rendered" /> |
-              <span tal:replace="structure widgets/jamb_second_cos/widget_rendered" />
-            </td>
-          </tr>
-          <tr><td>State of Origin: </td>
-            <td>
-              <span tal:replace="structure widgets/jamb_state/widget_rendered" /> /
-              <span tal:replace="structure widgets/jamb_lga/widget_rendered" />
-            </td>
-          </tr>
-          <tr><td>Post UME Examination Date: </td><td></td></tr>
-        </table>
-      </td>
-    </tr>
-  </table>
-</metal:block>
-
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_check_pin_create.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_check_pin_create.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,85 +1,0 @@
-<tal:block define="global creation python:1" />
-<metal:block define-macro="default_edit"
-             tal:define="layout options/layout;
-             ds options/datastructure;
-             creation creation|nothing;
-             metadata metadata|nothing;
-             type_name request/type_name|nothing;
-             ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-             creation_form python:ti and ti.getActionById('create', 'cpsdocument_create_form') or 'cpsdocument_create_form' ;
-             edit_form     python:ti and ti.getActionById('edit',   'cpsdocument_edit_form') or  'cpsdocument_edit_form';
-             metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-             formaction options/formaction;
-             first_layout options/first_layout|python:0;
-             last_layout options/last_layout|python:0;
-             is_flexible options/is_flexible;
-             cpsmcat nocall:here/translation_service;
-             "
-             >
-  <form action='some' method='post'
-        enctype='multipart/form-data' 
-        class='workflow'
-        tal:attributes="action formaction">
-    <div class=''>
-      <div class='documentFields'>
-        <table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
-          <tr tal:repeat="row layout/rows" valign="top">
-            <td tal:repeat="cell row"
-                tal:attributes="colspan cell/ncols">
-              <tal:block define="widget cell/widget;
-              wid widget/getWidgetId;
-              dm options/datastructure/getDataModel;
-              err python:ds.getError(wid);
-              err_mapping python:ds.getErrorMapping(wid);
-              is_required widget/is_required|nothing;
-              tooltip_id python:wid + '_help';
-              widget_css_class cell/widget_css_class|nothing;
-              widget_css_class python:test(is_flexible, 'group', widget_css_class);
-              css_class python:test(err, 'row error',
-              test(is_flexible, 'group', 'row'))"
-              >
-                <div tal:attributes="class widget_css_class;
-                id python:widget.getHtmlWidgetId()+'_widget';"
-                >
-                  <div class="label" tal:condition="widget/label_edit"
-                       tal:attributes="class python:test(is_required, 'label required','label')">
-                    <label i18n:translate="" tal:condition="widget/is_i18n"
-                           tal:content="widget/label_edit"
-                           tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-                    <label tal:condition="not:widget/is_i18n"
-                           tal:content="widget/label_edit"
-                           tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-                  </div>
-                  <button type="button" class="tooltipControl"
-                          tal:condition="widget/help"
-                          tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-                  <div class="field">
-                    <div tal:replace="structure cell/widget_rendered"/>
-                  </div>
-                  <div class="tooltipArea" style="visibility: hidden;"
-                       tal:condition="widget/help"
-                       tal:attributes="id tooltip_id;
-                       onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                       >
-                    <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-                               tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-                    <tal:block tal:condition="not:widget/is_i18n"
-                               tal:content="widget/help">This is the help for this field</tal:block>
-                  </div>
-                  <tal:block condition="err">
-                    <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                      <br /><em style="color: red"
-                                tal:content="msg">err</em>
-                    </tal:block>
-                  </tal:block>
-                </div>
-              </tal:block>
-            </td>
-          </tr>
-        </table>
-        <input type="submit" class="standalone" name="cpsdocument_edit_button" value="GO" />
-      </div>        
-    </div>
-  </form>
-</metal:block>
-  
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_student_create.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_student_create.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,3 +1,0 @@
-<tal:block define="global creation python:1;
-                   global formaction string:apply_admission" />
-<metal:block use-macro="here/layout_student_edit/macros/default_edit" />
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_student_edit.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_student_edit.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,185 +1,0 @@
-<!-- a layout_lib macro -->
-<!-- $Id: layout_student_edit.pt 486 2006-09-06 10:09:39Z joachim $ -->
-<metal:block define-macro="default_edit"
-  tal:define="layout options/layout;
-              ds options/datastructure;
-              dm ds/getDataModel;
-              formaction formaction|string:student_edit;
-              creation creation|nothing;
-              metadata metadata|nothing;
-              type_name request/type_name|nothing;
-              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-              creation_form python:ti and ti.getActionById('create', 'cpsdocument_create_form') or 'cpsdocument_create_form' ;
-              edit_form     python:ti and ti.getActionById('edit',   'cpsdocument_edit_form') or  'cpsdocument_edit_form';
-              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-              formaction formaction|python: test(creation, creation_form,
-                                 test(metadata, metadata_form,
-                                                edit_form));
-              first_layout options/first_layout|python:0;
-              last_layout options/last_layout|python:0;
-              is_flexible options/is_flexible;
-              cpsmcat nocall:here/translation_service;
-              ">
-
-<tal:block condition="python:1 or first_layout">
-  <tal:block
-  content="structure string:<form id='editForm' action='${formaction}' method='post'
-  enctype='multipart/form-data' class='workflow'>
-  <div class='group'><div class='documentFields'>" />
-  <input type="hidden" name="type_name" value="."
-    tal:condition="creation" tal:attributes="value request/type_name" />
-</tal:block>
-
-<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout"
-       tal:condition="layout/rows">
-  <tr tal:repeat="row layout/rows" valign="top">
-    <td tal:repeat="cell row"
-      tal:attributes="colspan cell/ncols">
-      <tal:block define="widget cell/widget;
-                         wid widget/getWidgetId;
-                         err python:ds.getError(wid);
-                         err_mapping python:ds.getErrorMapping(wid);
-                         is_required widget/is_required|nothing;
-                         tooltip_id python:wid + '_help';
-                         widget_css_class cell/widget_css_class|nothing;
-                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
-                         css_class python:test(err, 'row error',
-                                               test(is_flexible, 'group', 'row'))">
-        <div tal:attributes="class widget_css_class;
-                             id python:widget.getHtmlWidgetId()+'_widget';
-                            ">
-          <div class="label" tal:condition="widget/label_edit"
-            tal:attributes="class python:test(is_required, 'label required',
-                                              'label')">
-            <label i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-            <label tal:condition="not:widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-          </div>
-          <button type="button" class="tooltipControl"
-                  tal:condition="widget/help"
-                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          <div class="field">
-            <div tal:replace="structure cell/widget_rendered"/>
-          </div>
-          <div class="tooltipArea" style="visibility: hidden;"
-               tal:condition="widget/help"
-               tal:attributes="id tooltip_id;
-                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
-            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-            <tal:block tal:condition="not:widget/is_i18n"
-              tal:content="widget/help">This is the help for this field</tal:block>
-          </div>
-          <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                  tal:content="msg">err</em>
-              </tal:block>
-          </tal:block>
-          <div style="float: right;" tal:condition="is_flexible">
-            <input type="button" value="button_move_up"
-              tal:condition="not:repeat/row/start"
-              tal:attributes="name string:uprow_${repeat/row/index};
-                              onclick python:'CPSFlexibleEdit.buttonClick(this, \'\')'"
-              class="context moveUp" i18n:attributes="value" />
-            <input type="button" value="button_move_down"
-              tal:condition="not:repeat/row/end"
-              tal:attributes="name string:downrow_${repeat/row/index};
-                              onclick python:'CPSFlexibleEdit.buttonClick(this, \'\')'"
-              class="context moveDown" i18n:attributes="value" />
-            <input type="button" value="button_delete"
-              class="destructive" i18n:attributes="value"
-              tal:attributes="name string:deleterow_${repeat/row/index};
-                              onclick python:'CPSFlexibleEdit.buttonClick(this, \'%s\')' %
-                                (cpsmcat('description_confirm_delete'), )" />
-          </div>
-        </div>
-      </tal:block>
-    </td>
-  </tr>
-</table>
-
-<tal:block condition="python:0 and is_flexible">
-<div tal:define="flexible_widgets options/flexible_widgets">
-  <input type="hidden" name="layout_id" value="."
-    tal:attributes="value layout/layout_id" />
-  <tal:select condition="python:len(flexible_widgets)>1">
-    <select name="widget_type">
-      <tal:block repeat="widget options/flexible_widgets">
-      <option value="."
-        tal:condition="widget/is_i18n"
-        i18n:translate=""
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      <option value="."
-        tal:condition="not:widget/is_i18n"
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      </tal:block>
-    </select>
-    <input type="button" id="addwidget_button"
-           name="addwidget_button" value="button_add"
-           class="context"
-           i18n:attributes="value"
-           tal:attributes="onclick python:'CPSFlexibleEdit.buttonClick(this, \'\')'" />
-  </tal:select>
-  <tal:button condition="python:len(flexible_widgets) == 1">
-    <tal:block define="widget python:flexible_widgets[0]">
-      <input type="hidden" name="widget_type"
-        tal:attributes="value widget/getWidgetId">
-      <input type="submit" name="addwidget_button"
-        id="addwidget_button"
-        tal:define="button_add python:cpsmcat('button_add');
-          widget_title python:cpsmcat(widget.title_or_id())"
-        tal:attributes="value string:${button_add} ${widget_title}"
-        class="context" />
-    </tal:block>
-  </tal:button>
-</div>
-</tal:block>
-
-<tal:block condition="python: 1 or last_layout">
-  <tal:block content="structure string:</div>" />
-  <metal:block define-slot="additional_content" />
-
-  <tal:block condition="nothing">
-    <div class="tooltipArea" style="visibility: hidden;"
-      id="transition_comments_help"
-      onclick="showElement(false, 'transition_comments_help')"
-      i18n:translate="help_transition_comments_modification">
-      In this filed you can give the reason of the modification that you are doing on this document.
-      Your comments may be used to notify other users.
-    </div>
-    <dl>
-      <dt><label for="comments"
-          i18n:translate="transition_comments_modification">Reason of the modification</label>
-        <button type="button" class="tooltipControl"
-          onclick="toggleElementVisibility('transition_comments_help')"> ? </button>
-      </dt>
-      <dd>
-        <textarea name="comments" id="comments" cols="60" rows="3"
-          tal:content="nothing">
-        </textarea>
-      </dd>
-    </dl>
-  </tal:block>
-
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-    value="button_change" i18n:attributes="value" id="cpsdocument_edit_button"
-    tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="cpsdocument_edit_and_view_button"
-    value="button_change_and_view" i18n:attributes="value"
-    id="cpsdocument_edit_and_view_button"
-    tal:condition="python:0 and not creation" />
-  <input type="submit" 
-         class="standalone" 
-         name="cpsdocument_create_button"
-         value="apply" 
-         i18n:attributes="value" tal:condition="creation" />
-  <tal:block content="structure string:</div></form>" />
-</tal:block>
-
-</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_status_display.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_status_display.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<tal:block define="item nocall:options/context_obj;
-                   info item/getContentInfo;">
-
-<img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_publish.png"/>
-<span tal:content="info/review_state" />
-
-</tal:block>
-
Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_transition_display.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_transition_display.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<tal:block define="item nocall:options/context_obj;
-                   info item/getContentInfo;">
-
-<span tal:condition="python:path('info/review_state')=='application_pin_entered'">
-  <img tal:attributes="src string:${here/portal_url}/cpsskins_images/actionicon_publish.png"/>
-  <span>Apply for Admission</span>
-</ span>
-
-</tal:block>
-
Index: WAeUP_SRP/trunk/skins/waeup_student/student_edit_form.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_edit_form.pt_not_used	(revision 684)
+++ 	(revision )
@@ -1,130 +1,0 @@
-<tal:block define="
-    rendered_main python:here.cpsdocument_edit_render(request=request);
-    form_action string:student_edit;
-    creation python:False;
-    edition python:True;
-    metadata metadata|nothing;
-    ">
-<metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="style_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-
-    <metal:block define-macro="widgets_javascript">
-    <!-- XXX this has to move to CPSSchemas -->
-    <style type="text/css"
-      tal:content="string:@import url(${base_url}calendar-win2k-1.css);"></style>
-    <script type="text/javascript" src="calendar.js"
-      tal:attributes="src string:${base_url}calendar.js"></script>
-    <script type="text/javascript" src="lang/calendar-en.js"
-      tal:define="local cpsmcat/getSelectedLanguage"
-      tal:attributes="src string:${base_url}lang/calendar-${local}.js"></script>
-    <script type="text/javascript" src="calendar-setup.js"
-      tal:attributes="src string:${base_url}calendar-setup.js"></script>
-    <script type="text/javascript" src="prototype.js"
-      tal:attributes="src string:${base_url}prototype.js"></script>
-    <script type="text/javascript" src="effects.js"
-      tal:attributes="src string:${base_url}effects.js"></script>
-    <script type="text/javascript" src="controls.js"
-      tal:attributes="src string:${base_url}controls.js"></script>
-    <script type="text/javascript" src="cpsdocument.js"
-      tal:attributes="src string:${base_url}cpsdocument.js"></script>
-    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.FCKeditor')">
-      <script type="text/javascript">
-        var popup_editor_form = 'popup_fckeditor_form';
-        var width = 640;
-        var height = 520;
-      </script>
-    </tal:block>
-    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.Epoz')">
-      <script type="text/javascript">
-        var popup_editor_form = 'popup_rte_form';
-        var width = 640;
-        var height = 480;
-      </script>
-    </tal:block>
-    <script type="text/javascript">
-     function popup_rte(input_id, label_edit) {
-       var args, value;
-       value = document.getElementById(input_id).value;
-       args = '?input_id='+input_id+'&amp;label_edit='+escape(label_edit);
-       str_window_features = 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,dependent=1,width=' + width + ',height=' + height;
-       popup = window.open(popup_editor_form + args, input_id, str_window_features);
-       if (!popup.opener) {
-         popup.opener = window;
-       }
-       return false;
-     }
-   </script>
-   </metal:block>
-  </metal:block>
-
-  <metal:block fill-slot="header">
-    <h1 tal:condition="creation" i18n:translate="">
-      Create a document of type
-      <tal:block i18n:name="type_name" i18n:translate=""
-            tal:define="type_name request/type_name;
-                        type_info python:here.portal_types[type_name]"
-            tal:content="type_info/Title">Type Title</tal:block>
-    </h1>
-    <h1 tal:condition="not:creation">
-      <tal:block condition="python: edition and not metadata"
-        i18n:translate="">Edit <span id="page_title" i18n:name="title"
-        tal:content="here/title_or_id">Page Title</span></tal:block>
-      <tal:block tal:condition="metadata"
-        i18n:translate="">Metadata of <span i18n:name="title" tal:content="here/title_or_id">Page Title</span></tal:block>
-    </h1>
-  </metal:block>
-
-  <metal:block fill-slot="main">
-    <form action="ACTION" method="post" id="editForm"
-          enctype="multipart/form-data" class="workflow"
-          tal:attributes="action form_action">
-      <div class="group">
-        <div class="documentFields">
-          <tal:block define="getFormUidHtml nocall:modules/Products.CPSDocument.utils/getFormUidHtml"
-                     replace="structure python:getFormUidHtml(request)"/>
-          <input type="hidden" name="type_name" value="VALUE"
-                 tal:condition="creation"
-                 tal:attributes="value request/type_name" />
-          <input type="hidden" id="button_placeholder" name="button_placeholder" value="" />
-          <div id="rendered_main" tal:content="structure rendered_main">
-            CONTENT
-          </div>
-        </div>
-
-        <tal:block condition="not:creation">
-          <div class="tooltipArea" style="visibility: hidden;"
-               id="transition_comments_help"
-               onclick="showElement(false, 'transition_comments_help')"
-               i18n:translate="help_transition_comments_modification">
-            In this field you can give the reason for the modification
-            on this document. Your comments may be used to notify other users.
-          </div>
-          <dl>
-            <dt><label for="comments"
-                       i18n:translate="transition_comments_modification"
-                       >Reason of the modification</label>
-              <button type="button" class="tooltipControl"
-                      onclick="toggleElementVisibility('transition_comments_help')"> ? </button>
-            </dt>
-            <dd>
-              <textarea name="comments" id="comments" cols="60" rows="3"
-                        tal:content="nothing">
-              </textarea>
-            </dd>
-          </dl>
-        </tal:block>
-
-        <metal:block use-macro="here/cpsdocument_edit_buttons/macros/buttons"/>
-      </div>
-    </form>
-    <div id="ajax_psm" style="display:none">
-      ajax feedback
-    </div>
-  </metal:block>
-
-</metal:block>
-</metal:block>
-</tal:block>