Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 686)
@@ -1,8 +1,8 @@
 <?xml version="1.0"?>
 <object name="student_accommodation" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
+ <property name="layout_create_method">layout_application_create</property>
+ <property name="layout_edit_method">layout_application_edit</property>
  <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
+ <property name="style_prefix">layout_accommodation_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
@@ -15,10 +15,12 @@
   <property name="label_edit">Maintainance Fee Date</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+    <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
   <property name="hidden_empty"></property>
  </widget>
- <widget name="acco_maint_sc_pin" meta_type="String Widget">
+ <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
   <property name="title">Maintainance Fee Access Code</property>
   <property name="fields">
@@ -27,10 +29,25 @@
   <property name="label">Maintainance Fee Access Code</property>
   <property name="label_edit">Maintainance Fee Access Code</property>
+  <property name="hidden_layout_modes">
+    <element value="create"/>
+  </property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
 <property name="hidden_empty"></property>
- </widget>
- <widget name="acco_res_date" meta_type="DateTime Widget">
+  <property name="prefix">HMU</property>
+  </widget>
+<widget name="student_status" meta_type="Select Widget">
+ <property name="title">Status</property>
+ <property name="fields">
+  <element value="student_status"/>
+ </property>
+ <property name="label">Status</property>
+ <property name="label_edit">Status</property>
+ <property name="readonly_layout_modes"/>
+ <property name="hidden_layout_modes"/>
+ <property name="hidden_readonly_layout_modes"/>
+ <property name="vocabulary">student_status_voc</property>
+</widget> 
+  <widget name="acco_res_date" meta_type="DateTime Widget">
   <property name="title">Reservation Date</property>
   <property name="fields">
@@ -40,9 +57,11 @@
   <property name="label_edit">Reservation Date</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+    <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
  </widget>
- <widget name="acco_res_sc_pin" meta_type="String Widget">
+ <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
   <property name="title">Reservation Access Code</property>
   <property name="fields">
@@ -51,4 +70,5 @@
   <property name="label">Reservation Access Code</property>
   <property name="label_edit">Reservation Access Code</property>
+  <property name="prefix">HOS</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -63,5 +83,7 @@
  <property name="label_edit">Bed</property>
  <property name="readonly_layout_modes"/>
- <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+    <element value="create"/>
+  </property>
  <property name="hidden_readonly_layout_modes"/>
  <property name="render_method">formatBed</property>
@@ -75,5 +97,7 @@
   <property name="label_edit">Session</property>
   <property name="readonly_layout_modes">edit</property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+    <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -84,4 +108,7 @@
   <row>
    <cell name="bed"/>
+  </row>
+  <row>
+   <cell name="student_status"/>
   </row>
   <row>