Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 693)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 694)
@@ -8,10 +8,10 @@
  <property name="validate_values_expr"></property>
  <widget name="acco_maint_date" meta_type="DateTime Widget">
-  <property name="title">Maintainance Fee Date</property>
+  <property name="title">Maintainance Payment Date</property>
   <property name="fields">
    <element value="acco_maint_date"/>
   </property>
-  <property name="label">Maintainance Fee Date</property>
-  <property name="label_edit">Maintainance Fee Date</property>
+  <property name="label">Maintainance Payment Date</property>
+  <property name="label_edit">Maintainance Payment Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -23,15 +23,15 @@
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Maintainance Fee Access Code</property>
+  <property name="title">Maintainance Payment PIN</property>
   <property name="fields">
    <element value="acco_maint_sc_pin"/>
   </property>
-  <property name="label">Maintainance Fee Access Code</property>
-  <property name="label_edit">Maintainance Fee Access Code</property>
+  <property name="label">Maintainance Payment PIN</property>
+  <property name="label_edit">Maintainance Payment PIN</property>
   <property name="hidden_layout_modes">
     <element value="create"/>
   </property>
   <property name="readonly_layout_modes">
-    <element value="edit"/>  
+    <element value="edit"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -52,10 +52,10 @@
 </widget>
   <widget name="acco_res_date" meta_type="DateTime Widget">
-  <property name="title">Reservation Date</property>
+  <property name="title">Hostel Application Date</property>
   <property name="fields">
    <element value="acco_res_date"/>
   </property>
-  <property name="label">Reservation Date</property>
-  <property name="label_edit">Reservation Date</property>
+  <property name="label">Hostel Application Date</property>
+  <property name="label_edit">Hostel Application Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -66,13 +66,13 @@
  </widget>
  <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Reservation Access Code</property>
+  <property name="title">Hostel Application PIN</property>
   <property name="fields">
    <element value="acco_res_sc_pin"/>
   </property>
-  <property name="label">Reservation Access Code</property>
-  <property name="label_edit">Reservation Access Code</property>
+  <property name="label">Hostel Application PIN</property>
+  <property name="label_edit">Hostel Application PIN</property>
   <property name="prefix">HOS</property>
   <property name="readonly_layout_modes">
-    <element value="edit"/> 
+    <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -117,7 +117,4 @@
   </row>
   <row>
-   <cell name="acco_maint_sc_pin"/>
-  </row>
-  <row>
    <cell name="acco_res_sc_pin"/>
   </row>
@@ -126,4 +123,7 @@
   </row>
   <row>
+   <cell name="acco_maint_sc_pin"/>
+  </row>
+  <row>
    <cell name="acco_maint_date"/>
   </row>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 693)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 694)
@@ -8,11 +8,11 @@
  <property name="validate_values_expr"></property>
  <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Scratch Card Pin</property>
+  <property name="title">Hostel Application PIN</property>
   <property name="fields">
    <element value="acco_res_sc_pin"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Scratch Card Pin</property>
-  <property name="label_edit">Scratch Card Pin</property>
+  <property name="label">Hostel Application PIN</property>
+  <property name="label_edit">Hostel Application PIN</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -34,10 +34,10 @@
 
  <widget name="acco_maint_date" meta_type="DateTime Widget">
-  <property name="title">Maintainance Fee Date</property>
+  <property name="title">Maintainance Payment Date</property>
   <property name="fields">
    <element value="acco_maint_date"/>
   </property>
-  <property name="label">Maintainance Fee Date</property>
-  <property name="label_edit">Maintainance Fee Date</property>
+  <property name="label">Maintainance Payment Date</property>
+  <property name="label_edit">Maintainance Payment Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -46,11 +46,11 @@
 <property name="hidden_empty"></property>
  </widget>
- <widget name="acco_maint_sc_pin" meta_type="String Widget">
-  <property name="title">Maintainance Fee Access Code</property>
+ <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
+  <property name="title">Maintainance Payment PIN</property>
   <property name="fields">
    <element value="acco_maint_sc_pin"/>
   </property>
-  <property name="label">Maintainance Fee Access Code</property>
-  <property name="label_edit">Maintainance Fee Access Code</property>
+  <property name="label">Maintainance Payment PIN</property>
+  <property name="label_edit">Maintainance Payment PIN</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -61,10 +61,10 @@
 
  <widget name="acco_res_date" meta_type="DateTime Widget">
-  <property name="title">Reservation Date</property>
+  <property name="title">Hostel Application Date</property>
   <property name="fields">
    <element value="acco_res_date"/>
   </property>
-  <property name="label">Reservation Date</property>
-  <property name="label_edit">Reservation Date</property>
+  <property name="label">Hostel Application Date</property>
+  <property name="label_edit">Hostel Application Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -98,6 +98,4 @@
 
 
-
-
  <table>
   <row>
@@ -108,7 +106,4 @@
   </row>
   <row>
-   <cell name="acco_res_date"/>
-  </row>
-  <row>
    <cell name="student_status"/>
   </row>
@@ -117,10 +112,12 @@
   </row>
   <row>
-   <cell name="acco_maint_date"/>
+   <cell name="acco_res_date"/>
   </row>
   <row>
    <cell name="acco_maint_sc_pin"/>
   </row>
-
+  <row>
+   <cell name="acco_maint_date"/>
+  </row>
  </table>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 693)
+++ /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 694)
@@ -5,5 +5,5 @@
         <metal:block use-macro="here/error_not_found/macros/not_found" />
       </span>
-      <h3>Hostel Application Slip</h3>
+      <h3>Hostel Allocation Slip (and Maintenance Receipt)</h3>
       <br />
       <span tal:omit-tag=""
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt	(revision 693)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt	(revision 694)
@@ -7,6 +7,9 @@
               fields python:('session',
                                  'bed',
+                                 'student_status',
+                                 'acco_res_sc_pin',
                                  'acco_res_date',
-                                 'acco_res_sc_pin',
+                                 'acco_maint_sc_pin', 
+                                 'acco_maint_date',
                                  )"
                                  >
@@ -23,5 +26,6 @@
             </td>
             <td> 
-               <span tal:replace="structure cell/widget_rendered" />
+               <span tal:condition="cell" tal:content="structure cell/widget_rendered"></span>
+               <span tal:condition="not:cell/widget_rendered"> none </span>
             </td>
           </div>
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view_slip.pt	(revision 693)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view_slip.pt	(revision 694)
@@ -7,6 +7,9 @@
               fields python:('session',
                                  'bed',
+                                 'student_status',
+                                 'acco_res_sc_pin',
                                  'acco_res_date',
-                                 'acco_res_sc_pin',
+                                 'acco_maint_sc_pin', 
+                                 'acco_maint_date',
                                  )"
                                  >
@@ -23,5 +26,6 @@
             </td>
             <td> 
-               <span tal:replace="structure cell/widget_rendered" />
+               <span tal:condition="cell" tal:content="structure cell/widget_rendered"></span>
+               <span tal:condition="not:cell/widget_rendered"> none </span>
             </td>
           </div>