Index: WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 694)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 695)
@@ -39,5 +39,8 @@
         </tr>
         <tr tal:repeat="bt reserved">
-          <td tal:content="bt/student" />
+          <td> 
+            <a href="" tal:attributes="href bt/student_url"
+               tal:content="bt/student"></a>
+          </td>
           <td tal:content="bt/bed" />
         </tr>
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 694)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 695)
@@ -39,4 +39,6 @@
 info['bed_types'] = bt_list
 res_list = []
+students_rpath = context.portal_catalog(meta_type = "StudentsFolder")[-1].relative_path
+students_url = "%s/%s" % (context.portal_url(),students_rpath)
 if reserved > 1:
     for st in reserved:
@@ -44,5 +46,7 @@
             res = pa(hall=context.getId(),student=st)
             if res:
-                res_list.append({'student': st, 'bed': context.formatBed(res[0].bed) })
+                res_list.append({'student': st,
+                                 'student_url': '%s/%s' % (students_url,st),
+                                 'bed': context.formatBed(res[0].bed) })
 info['reserved'] = res_list
 
Index: WAeUP_SRP/trunk/skins/waeup_pins/batch_index_html.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/batch_index_html.pt	(revision 694)
+++ 	(revision )
@@ -1,44 +1,0 @@
-<metal:html tal:define="info context/getBatchInfo">
-
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:block fill-slot="header">
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3 tal:content="here/title_or_id" />
-      <div tal:condition="nothing" tal:content="info/container_path"/>
-    </metal:block>
-
-    <metal:main fill-slot="main">
-      <span tal:condition="isAnon">
-      </span>
-      <span tal:condition="python:not isAnon and info">
-        <span tal:omit-tag="" 
-              tal:content="structure python: info['batch_doc'].render(proxy=info['batch_doc'],
-              layout_mode='view', 
-              )" 
-              />
-        <br />
-        <h3>Unused</h3>
-        <table>
-          <tr tal:repeat="pin info/unused">
-            <td tal:content="pin/serial" />
-            <td tal:content="pin/pin" />
-          </tr>
-        </table>
-        <h3>Used</h3>
-        <table>
-          <tr tal:repeat="pin info/used">
-            <td tal:content="pin/serial" />
-            <td tal:content="pin/pin" />
-            <td tal:content="pin/student" />
-          </tr>
-        </table>
-      
-      </span>
-
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt	(revision 695)
+++ WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt	(revision 695)
@@ -0,0 +1,44 @@
+<metal:html tal:define="info context/getBatchInfo">
+
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:block fill-slot="header">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id" />
+      <div tal:condition="nothing" tal:content="info/container_path"/>
+    </metal:block>
+
+    <metal:main fill-slot="main">
+      <span tal:condition="isAnon">
+      </span>
+      <span tal:condition="python:not isAnon and info">
+        <span tal:omit-tag="" 
+              tal:content="structure python: info['batch_doc'].render(proxy=info['batch_doc'],
+              layout_mode='view', 
+              )" 
+              />
+        <br />
+        <h3>Unused</h3>
+        <table>
+          <tr tal:repeat="pin info/unused">
+            <td tal:content="pin/serial" />
+            <td tal:content="pin/pin" />
+          </tr>
+        </table>
+        <h3>Used</h3>
+        <table>
+          <tr tal:repeat="pin info/used">
+            <td tal:content="pin/serial" />
+            <td tal:content="pin/pin" />
+            <td tal:content="pin/student" />
+          </tr>
+        </table>
+      
+      </span>
+
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_pins/pins_index_html.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/pins_index_html.pt	(revision 694)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<metal:html>
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <span tal:condition="isAnon">
-      </span>  
-      <span tal:condition="not:isAnon">
-        <h3>PIN Batches</h3>
-        <br />
-        <table tal:define="batches python: context.objectValues()">
-          <tr tal:repeat="batch batches">
-            <span tal:omit-tag="" tal:define="info python: context.getBatchInfo(batch)">
-            <td><a href="batch" 
-                   tal:attributes="href string:${batch/absolute_url}"
-                   tal:content="info/title"></a></td>    
-            </span>
-          </tr>
-        </table>
-      </span>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_pins/pins_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/pins_view.pt	(revision 695)
+++ WAeUP_SRP/trunk/skins/waeup_pins/pins_view.pt	(revision 695)
@@ -0,0 +1,21 @@
+<metal:html>
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="isAnon">
+      </span>  
+      <span tal:condition="not:isAnon">
+        <h3>PIN Batches</h3>
+        <br />
+        <table tal:define="batches python: context.objectValues()">
+          <tr tal:repeat="batch batches">
+            <span tal:omit-tag="" tal:define="info python: context.getBatchInfo(batch)">
+            <td><a href="batch" 
+                   tal:attributes="href string:${batch/absolute_url}"
+                   tal:content="info/title"></a></td>    
+            </span>
+          </tr>
+        </table>
+      </span>
+    </metal:main>
+  </metal:body>
+</metal:html>