Index: /WAeUP_Doc/InstructionsPart3.rst
===================================================================
--- /WAeUP_Doc/InstructionsPart3.rst	(revision 697)
+++ /WAeUP_Doc/InstructionsPart3.rst	(revision 698)
@@ -9,7 +9,7 @@
 2. Click the 'PINs' navigation tab.
 
-3. Click 'Add Scratch Card Batch' and select 'Application' from the prefix pull-down menu, then click create. A csv file will be automatically generated and copied to the WebDAV srp-import folder at https://dav.waeup.org. Please look at the time of creation which is part of the file name. Probably several testers also created test batches already.
+3. Click 'Add Scratch Card Batch' and select 'Hostel Application' from the prefix pull-down menu, then click create. A csv file will be automatically generated and copied to the WebDAV srp-import folder at https://dav.waeup.org. Please look at the time of creation which is part of the file name. Probably several testers also created test batches already.
 
-4. Go to the PINs Section again and click the respective 'Pin Batch APP BatchNo #' link of the batch which you just added. Then you can see all unused PIN's. This feature is only available during the testing period. Than it will be replaced by a function which allows to list used PINs together with some information about their usage.
+4. Go to the PINs Section again and click the respective 'Pin Batch HOS BatchNo #' link of the batch which you just added. Then you can see all unused PIN's. This feature is only available during the testing period. Than it will be replaced by a function which allows to list used PINs together with some information about their usage.
 
 5. Print this list or write down some PINs.
Index: /WAeUP_Doc/InstructionsPart4.html
===================================================================
--- /WAeUP_Doc/InstructionsPart4.html	(revision 698)
+++ /WAeUP_Doc/InstructionsPart4.html	(revision 698)
@@ -0,0 +1,331 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+<meta name="generator" content="Docutils 0.4: http://docutils.sourceforge.net/" />
+<title></title>
+<style type="text/css">
+
+/*
+:Author: David Goodger
+:Contact: goodger@users.sourceforge.net
+:Date: $Date: 2005-12-18 01:56:14 +0100 (Sun, 18 Dec 2005) $
+:Revision: $Revision: 4224 $
+:Copyright: This stylesheet has been placed in the public domain.
+
+Default cascading style sheet for the HTML output of Docutils.
+
+See http://docutils.sf.net/docs/howto/html-stylesheets.html for how to
+customize this style sheet.
+*/
+
+/* used to remove borders from tables and images */
+.borderless, table.borderless td, table.borderless th {
+  border: 0 }
+
+table.borderless td, table.borderless th {
+  /* Override padding for "table.docutils td" with "! important".
+     The right padding separates the table cells. */
+  padding: 0 0.5em 0 0 ! important }
+
+.first {
+  /* Override more specific margin styles with "! important". */
+  margin-top: 0 ! important }
+
+.last, .with-subtitle {
+  margin-bottom: 0 ! important }
+
+.hidden {
+  display: none }
+
+a.toc-backref {
+  text-decoration: none ;
+  color: black }
+
+blockquote.epigraph {
+  margin: 2em 5em ; }
+
+dl.docutils dd {
+  margin-bottom: 0.5em }
+
+/* Uncomment (and remove this text!) to get bold-faced definition list terms
+dl.docutils dt {
+  font-weight: bold }
+*/
+
+div.abstract {
+  margin: 2em 5em }
+
+div.abstract p.topic-title {
+  font-weight: bold ;
+  text-align: center }
+
+div.admonition, div.attention, div.caution, div.danger, div.error,
+div.hint, div.important, div.note, div.tip, div.warning {
+  margin: 2em ;
+  border: medium outset ;
+  padding: 1em }
+
+div.admonition p.admonition-title, div.hint p.admonition-title,
+div.important p.admonition-title, div.note p.admonition-title,
+div.tip p.admonition-title {
+  font-weight: bold ;
+  font-family: sans-serif }
+
+div.attention p.admonition-title, div.caution p.admonition-title,
+div.danger p.admonition-title, div.error p.admonition-title,
+div.warning p.admonition-title {
+  color: red ;
+  font-weight: bold ;
+  font-family: sans-serif }
+
+/* Uncomment (and remove this text!) to get reduced vertical space in
+   compound paragraphs.
+div.compound .compound-first, div.compound .compound-middle {
+  margin-bottom: 0.5em }
+
+div.compound .compound-last, div.compound .compound-middle {
+  margin-top: 0.5em }
+*/
+
+div.dedication {
+  margin: 2em 5em ;
+  text-align: center ;
+  font-style: italic }
+
+div.dedication p.topic-title {
+  font-weight: bold ;
+  font-style: normal }
+
+div.figure {
+  margin-left: 2em ;
+  margin-right: 2em }
+
+div.footer, div.header {
+  clear: both;
+  font-size: smaller }
+
+div.line-block {
+  display: block ;
+  margin-top: 1em ;
+  margin-bottom: 1em }
+
+div.line-block div.line-block {
+  margin-top: 0 ;
+  margin-bottom: 0 ;
+  margin-left: 1.5em }
+
+div.sidebar {
+  margin-left: 1em ;
+  border: medium outset ;
+  padding: 1em ;
+  background-color: #ffffee ;
+  width: 40% ;
+  float: right ;
+  clear: right }
+
+div.sidebar p.rubric {
+  font-family: sans-serif ;
+  font-size: medium }
+
+div.system-messages {
+  margin: 5em }
+
+div.system-messages h1 {
+  color: red }
+
+div.system-message {
+  border: medium outset ;
+  padding: 1em }
+
+div.system-message p.system-message-title {
+  color: red ;
+  font-weight: bold }
+
+div.topic {
+  margin: 2em }
+
+h1.section-subtitle, h2.section-subtitle, h3.section-subtitle,
+h4.section-subtitle, h5.section-subtitle, h6.section-subtitle {
+  margin-top: 0.4em }
+
+h1.title {
+  text-align: center }
+
+h2.subtitle {
+  text-align: center }
+
+hr.docutils {
+  width: 75% }
+
+img.align-left {
+  clear: left }
+
+img.align-right {
+  clear: right }
+
+ol.simple, ul.simple {
+  margin-bottom: 1em }
+
+ol.arabic {
+  list-style: decimal }
+
+ol.loweralpha {
+  list-style: lower-alpha }
+
+ol.upperalpha {
+  list-style: upper-alpha }
+
+ol.lowerroman {
+  list-style: lower-roman }
+
+ol.upperroman {
+  list-style: upper-roman }
+
+p.attribution {
+  text-align: right ;
+  margin-left: 50% }
+
+p.caption {
+  font-style: italic }
+
+p.credits {
+  font-style: italic ;
+  font-size: smaller }
+
+p.label {
+  white-space: nowrap }
+
+p.rubric {
+  font-weight: bold ;
+  font-size: larger ;
+  color: maroon ;
+  text-align: center }
+
+p.sidebar-title {
+  font-family: sans-serif ;
+  font-weight: bold ;
+  font-size: larger }
+
+p.sidebar-subtitle {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+p.topic-title {
+  font-weight: bold }
+
+pre.address {
+  margin-bottom: 0 ;
+  margin-top: 0 ;
+  font-family: serif ;
+  font-size: 100% }
+
+pre.literal-block, pre.doctest-block {
+  margin-left: 2em ;
+  margin-right: 2em ;
+  background-color: #eeeeee }
+
+span.classifier {
+  font-family: sans-serif ;
+  font-style: oblique }
+
+span.classifier-delimiter {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+span.interpreted {
+  font-family: sans-serif }
+
+span.option {
+  white-space: nowrap }
+
+span.pre {
+  white-space: pre }
+
+span.problematic {
+  color: red }
+
+span.section-subtitle {
+  /* font-size relative to parent (h1..h6 element) */
+  font-size: 80% }
+
+table.citation {
+  border-left: solid 1px gray;
+  margin-left: 1px }
+
+table.docinfo {
+  margin: 2em 4em }
+
+table.docutils {
+  margin-top: 0.5em ;
+  margin-bottom: 0.5em }
+
+table.footnote {
+  border-left: solid 1px black;
+  margin-left: 1px }
+
+table.docutils td, table.docutils th,
+table.docinfo td, table.docinfo th {
+  padding-left: 0.5em ;
+  padding-right: 0.5em ;
+  vertical-align: top }
+
+table.docutils th.field-name, table.docinfo th.docinfo-name {
+  font-weight: bold ;
+  text-align: left ;
+  white-space: nowrap ;
+  padding-left: 0 }
+
+h1 tt.docutils, h2 tt.docutils, h3 tt.docutils,
+h4 tt.docutils, h5 tt.docutils, h6 tt.docutils {
+  font-size: 100% }
+
+tt.docutils {
+  background-color: #eeeeee }
+
+ul.auto-toc {
+  list-style-type: none }
+
+</style>
+</head>
+<body>
+<div class="document">
+<div class="section">
+<h1><a id="instructions-part-4" name="instructions-part-4">Instructions Part 4</a></h1>
+</div>
+<div class="section">
+<h1><a id="testing-the-srp-application-and-accommodation-modules" name="testing-the-srp-application-and-accommodation-modules">Testing the SRP Application and Accommodation Modules</a></h1>
+<ol class="arabic simple">
+<li>Open your Firefox browser (IE is not recommended but does also work) and login as manager. You can do that either through the unben-local.waeup.org portal or through the uniben.waeup.org portal. The latter is recommended when opening the website from outside the btedu LAN on campus.</li>
+<li>Click the 'Hostels' navigation tab.</li>
+<li>Click 'Add Hall'.</li>
+<li>Fill all fields. Fields marked with a red star are required. Hold CTRL and click to select multiple beds. Do not click bed letters which are not available. The bed letters must correspond with the number of 'Beds per Room'.</li>
+<li>Click 'Create' and a new Hall object will be created.</li>
+<li>To create a new university-wide bed list or to update an existing one, go to the Accommodation Section (Up one level) and click 'Update Bed List'. Within one second the bed list for the entire accommodation section is created/updated and a bed statistics shows up. In the first part of the statistics you'll see how many new beds have been created. In the second part you can see the total number of beds and the number of booked beds in all halls. If you want to see the bed statistics of a particular hall, click the respective link and you'll get the same information only for this hall. Moreover, you'll see the list of students staying in this hall. Clicking on the student's Id will directly bring you to the respective student's record.</li>
+</ol>
+<blockquote>
+<strong>Important:</strong> Existing beds in the bed list will never be changed! If you modify the hall specifications, beds will only be added <strong>not</strong> deleted or rededicated. To delete beds (e.g. you want to reduce the number of beds per room) you have to delete the entire hall. Then all beds will be removed and the booking information is lost.</blockquote>
+<ol class="arabic simple" start="7">
+<li>Click the 'PINs' navigation tab.</li>
+<li>Click 'Add Scratch Card Batch' and select 'Hostel Application' from the prefix pull-down menu, then click create. A csv file with prefix HOS will be automatically generated and copied to the WebDAV srp-import folder at <a class="reference" href="https://dav.waeup.org">https://dav.waeup.org</a>. Please look at the time of creation which is part of the file name. Probably several testers also created test batches already.</li>
+<li>Go to the PIN Batches again and click the respective 'Pin Batch HOS BatchNo #' link of the batch which you just added. Then you can see a list of unused PINs and a list of used PIN's together with the Id or JAMB registration numbers of the students who used the PINs. The links will bring directly to the students' records. The list of unused PINs is only available during the testing period.</li>
+<li>Print this list or write down some PINs. Print also the already existing APP PIN list which you need in step 12 to apply for PUME.</li>
+<li>Log out (and close all browser windows if you have opened more than one).</li>
+<li>Apply for PUME following steps 10-15 of the Instructions Part 3.</li>
+</ol>
+<blockquote>
+<strong>New features:</strong>  (a) Your passport picture will be automatically resized on the server by Python imaging software. At the moment, passport resizing does not work from the Uniben server because the necessary software is not yet installed. (b) The registration status box provides links to the respective registration stages. (c) The 'My Study' tab in the navigation bar shows a list of registration objects. Please look at this list before you have applied. Then you'll also see an [edit] link which brings you back to the passport upload form.</blockquote>
+<ol class="arabic simple" start="13">
+<li>Click 'Book Hostel' in the student's action box on the left-hand side, enter a Hostal Application PIN from the list printed before and click 'Book'.</li>
+<li>Your bed has been booked and your 'Accommodation Record' is shown.</li>
+<li>Click on 'Accommodation Slip'. The combined 'Hostel Allocation Slip (and Maintenance Receipt)' will show up in an external window. It shows the basic student data (including passport picture) and the hostel application data. The maintenance form (to enter the Hostel Maintenance PIN) is not yet implement and will come soon.</li>
+<li>Click on 'My Study' in the navigation bar. Two objects show up: 'Application Data' and 'Accommodation Data for Session 2006'. Both links will bring you to the respective data records and slips. The 'Application Slip' link does only appear if you have already applied for admission.</li>
+<li>Log out, close all windows and log in as manager again. Click 'Staff Login' and enter your manager user name and password.</li>
+<li>Click on 'Hostels' and then on the name of the hostel where you just booked the room. Your student should be listed at the end of the table.</li>
+<li>Finished</li>
+</ol>
+</div>
+</div>
+</body>
+</html>
Index: /WAeUP_Doc/InstructionsPart4.rst
===================================================================
--- /WAeUP_Doc/InstructionsPart4.rst	(revision 698)
+++ /WAeUP_Doc/InstructionsPart4.rst	(revision 698)
@@ -0,0 +1,48 @@
+Instructions Part 4 
++++++++++++++++++++
+
+Testing the SRP Application and Accommodation Modules 
++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+1. Open your Firefox browser (IE is not recommended but does also work) and login as manager. You can do that either through the unben-local.waeup.org portal or through the uniben.waeup.org portal. The latter is recommended when opening the website from outside the btedu LAN on campus.
+
+2. Click the 'Hostels' navigation tab.
+
+3. Click 'Add Hall'.
+
+4. Fill all fields. Fields marked with a red star are required. Hold CTRL and click to select multiple beds. Do not click bed letters which are not available. The bed letters must correspond with the number of 'Beds per Room'.
+
+5. Click 'Create' and a new Hall object will be created. 
+
+6. To create a new university-wide bed list or to update an existing one, go to the Accommodation Section (Up one level) and click 'Update Bed List'. Within one second the bed list for the entire accommodation section is created/updated and a bed statistics shows up. In the first part of the statistics you'll see how many new beds have been created. In the second part you can see the total number of beds and the number of booked beds in all halls. If you want to see the bed statistics of a particular hall, click the respective link and you'll get the same information only for this hall. Moreover, you'll see the list of students staying in this hall. Clicking on the student's Id will directly bring you to the respective student's record.
+
+ **Important:** Existing beds in the bed list will never be changed! If you modify the hall specifications, beds will only be added **not** deleted or rededicated. To delete beds (e.g. you want to reduce the number of beds per room) you have to delete the entire hall. Then all beds will be removed and the booking information is lost. 
+
+7. Click the 'PINs' navigation tab.
+
+8. Click 'Add Scratch Card Batch' and select 'Hostel Application' from the prefix pull-down menu, then click create. A csv file with prefix HOS will be automatically generated and copied to the WebDAV srp-import folder at https://dav.waeup.org. Please look at the time of creation which is part of the file name. Probably several testers also created test batches already.
+
+9. Go to the PIN Batches again and click the respective 'Pin Batch HOS BatchNo #' link of the batch which you just added. Then you can see a list of unused PINs and a list of used PIN's together with the Id or JAMB registration numbers of the students who used the PINs. The links will bring directly to the students' records. The list of unused PINs is only available during the testing period. 
+
+10. Print this list or write down some PINs. Print also the already existing APP PIN list which you need in step 12 to apply for PUME.
+
+11. Log out (and close all browser windows if you have opened more than one).
+
+12. Apply for PUME following steps 10-15 of the Instructions Part 3. 
+
+
+ **New features:**  (a) Your passport picture will be automatically resized on the server by Python imaging software. At the moment, passport resizing does not work from the Uniben server because the necessary software is not yet installed. (b) The registration status box provides links to the respective registration stages. (c) The 'My Study' tab in the navigation bar shows a list of registration objects. Please look at this list before you have applied. Then you'll also see an [edit] link which brings you back to the passport upload form. 
+
+13. Click 'Book Hostel' in the student's action box on the left-hand side, enter a Hostal Application PIN from the list printed before and click 'Book'.
+
+14. Your bed has been booked and your 'Accommodation Record' is shown. 
+
+15. Click on 'Accommodation Slip'. The combined 'Hostel Allocation Slip (and Maintenance Receipt)' will show up in an external window. It shows the basic student data (including passport picture) and the hostel application data. The maintenance form (to enter the Hostel Maintenance PIN) is not yet implement and will come soon. 
+
+16. Click on 'My Study' in the navigation bar. Two objects show up: 'Application Data' and 'Accommodation Data for Session 2006'. Both links will bring you to the respective data records and slips. The 'Application Slip' link does only appear if you have already applied for admission.
+
+17. Log out, close all windows and log in as manager again. Click 'Staff Login' and enter your manager user name and password. 
+
+18. Click on 'Hostels' and then on the name of the hostel where you just booked the room. Your student should be listed at the end of the table. 
+
+19. Finished