Index: WAeUP_SRP/trunk/Academics.py
===================================================================
--- WAeUP_SRP/trunk/Academics.py	(revision 717)
+++ WAeUP_SRP/trunk/Academics.py	(revision 718)
@@ -24,5 +24,5 @@
 i_home = Globals.INSTANCE_HOME
 
-def makeCertificateCode(code): ###(
+def makeCertificateCode(code):
     code = code.replace('.','')
     code = code.replace('(','')
@@ -32,6 +32,4 @@
     code = code.replace('_','')
     return code
-
-###)
 
 class AcademicsFolder(CPSDocument): ###(
@@ -107,5 +105,5 @@
                   "bank_code",
                   )
-        format = ','.join(['"%%(%s)s"' % fn for fn in fields])
+        format = ' '.join(['%%(%s)s ' % fn for fn in fields])
         for faculty in faculties:
             processing = "processing %s" % format
@@ -141,5 +139,5 @@
                   "faculty_code",
                   )
-        format = ','.join(['"%%(%s)s"' % fn for fn in fields])
+        format = ' '.join(['%%(%s)s ' % fn for fn in fields])
         try:
             deps = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
@@ -202,5 +200,5 @@
                   "session",
                   )
-        format = ','.join(['"%%(%s)s"' % fn for fn in fields])
+        format = ' '.join(['%%(%s)s ' % fn for fn in fields])
         try:
             courses = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
@@ -274,5 +272,5 @@
                   "admin_status",
                   )
-        format = ','.join(['"%%(%s)s"' % fn for fn in fields])
+        format = ' '.join(['%%(%s)s ' % fn for fn in fields])
         try:
             courses = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
@@ -337,5 +335,5 @@
         wf = self.portal_workflow
         no_import_list = []
-        logger = logging.getLogger('loadcertificates')
+        logger = logging.getLogger('loadcertificatecourses')
         fields = ("code",
                   "review_state",
@@ -347,5 +345,5 @@
                   "core_or_elective",
                   )
-        format = ','.join(['"%%(%s)s"' % fn for fn in fields])
+        format = ' '.join(['%%(%s)s ' % fn for fn in fields])
         try:
             cert_courses = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
@@ -368,6 +366,6 @@
                 em = 'CertCode %(certificate_code)s for %(code)s not found\n' % cert_course
                 logger.info(em)
-                no_import_list.append(em)
-                no_import_list.append(format % cert_course + "\n")
+                #no_import_list.append(em)
+                no_import_list.append(format % cert_course + "CertificateCourse\n")
                 continue
             certificate = certs[code]
@@ -376,12 +374,12 @@
                 em = 'Course %(code)s for %(certificate_code)s Level %(level)s not found in Courses\n' % cert_course
                 logger.info(em)
-                no_import_list.append(em)
-                no_import_list.append(format % cert_course + "\n")
+                #no_import_list.append(em)
+                no_import_list.append(format % cert_course + "Course\n")
                 continue
             if depid not in d_ids:
                 em = 'Department %(department_code)s for %(certificate_code)s not found\n' % cert_course
                 logger.info(em)
-                no_import_list.append(em)
-                no_import_list.append(format % cert_course + "\n")
+                #no_import_list.append(em)
+                no_import_list.append(format % cert_course + "Department\n")
                 continue
             level = cert_course.get('level')
@@ -396,6 +394,6 @@
                 msg = 'Duplicate %(code)s in Level %(level)s' % cert_course
                 logger.info(msg)
-                no_import_list.append(msg + "\n")
-                no_import_list.append(format % cert_course + "\n")
+                #no_import_list.append(msg + "\n")
+                no_import_list.append(format % cert_course + "duplicate\n")
                 continue
             l.invokeFactory('CertificateCourse',course_code)